<template>
  <div class="deposit_wallet">
    <div class="container-plain flex flex-between flex-middle">
      <div class="deposit_wallet-header flex flex-between">
        <div class="deposit_wallet-header-title">Your eos wallet</div>
      </div>
      <div class="deposit_wallet-header-copy"><img
        @click="copy(accountName)"
        src="~/static/icons/copy.png"
        class="icon"
        alt=""></div>
    </div>
    <div class="deposit_wallet-body">
      <div class="container-plain">
        <div class="deposit_wallet-body-hash">
          {{accountName}}
        </div>
      </div>
    </div>
    <div class="deposit_wallet-footer flex flex-center">
      <a href="https://changenow.io/exchange?amount=100&from=usd&link_id=4b0a58f409dd87&to=eos" target="_blank">
        <BtnDark big>BUY EOS WITH A CREDIT CARD</BtnDark>
      </a>
    </div>
  </div>
</template>

<script>
  import BtnDark from '~/components/UI/BtnSign_dark';
  import copyClipboard from '~/components/utils/copy';

  export default {
    name: "TheWalletBlock",
    components: {
      BtnDark
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      }
    },
    methods: {
      copy(text = this.accountName) {
        copyClipboard(text, this.$t('common.copied'));
      }
    }
  }
</script>
